<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreatePropiedadUnidad extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('propiedad_unidad')
			->addColumn('propiedad', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('unidad', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('principal', 'integer', ['length' => 1, 'default' => 0, 'null' => false, 'signed' => false])
			->addColumn('valor', 'double', ['default' => 0, 'null' => false, 'signed' => false])
			->addForeignKey('unidad', 'unidad', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->addForeignKey('propiedad', 'propiedad', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
